> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/working-with-the-import-api-v2/importing-csv-and-excel-files.md).

# Importing CSV and Excel files

You can provide data to the import API through CSV or Excel files. Because of the tabular nature of these formats, you must also provide a [JSON template](/api/guides/working-with-the-import-api-v2/importing-csv-and-excel-files/formatting-json-template-files.md). This template specifies the import commands and what the column data represents.

To learn more, see:

* [Importing CSV files](/api/guides/working-with-the-import-api-v2/importing-csv-and-excel-files/importing-csv-files.md)
* [Importing Excel files](/api/guides/working-with-the-import-api-v2/importing-csv-and-excel-files/importing-excel-files.md)
* [Formatting JSON template files](/api/guides/working-with-the-import-api-v2/importing-csv-and-excel-files/formatting-json-template-files.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/guides/working-with-the-import-api-v2/importing-csv-and-excel-files.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
